Bug 129146 - Could not start printer when attempting to print on Brother on Cups server
Summary: Could not start printer when attempting to print on Brother on Cups server
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.2.8.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print
  Show dependency treegraph
 
Reported: 2019-12-02 18:47 UTC by KSanger
Modified: 2021-04-23 04:01 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
picture of could not start printer error message (65.00 KB, image/jpeg)
2019-12-19 15:25 UTC, KSanger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description KSanger 2019-12-02 18:47:49 UTC
Description:
LibreWriter hangs and eventually gives the error message "Could not start printer.  Please check your printer configuration."  Printing works from text editor and from Document Viewer of a pdf.  Printing to pdf works.  Printing the pdf works.  Printer is on a cups server.  The server never sees the job. The local printer jobs never sees the job.   

Steps to Reproduce:
1.  Open Libre Write
2.  Type a few lines of text.
3.  Select Print
4.  Select my printer on the cups server that has been installed forever.
5.  Print

Actual Results:
Write hangs a long time and eventually gives use the error "Could not start printer.  Please check your printer configuration."

I checked the cups server to see if we needed to restart the printer.  But the printer was fine.  Test pages work.  Printing from a text editor worked.  Printing from Write to a pdf file worked.  Printing the pdf file from Doc Viewer works.  There are no jobs in the local print queue.  No jobs show up at the cups server with the priner on it.

Expected Results:
Page sent to printer to be printed.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:

Version 6.2.8.2
Build ID: 6.2.8.2-2.fc30
CPU threads 6; OS Linux 5.3; UI render: default; VCL: gtk3; Local en-US...
Comment 1 KSanger 2019-12-02 18:55:45 UTC
Running in safe mode still fails.  So I did not reset my user profile.
Comment 2 Dieter 2019-12-03 07:14:16 UTC Comment hidden (obsolete)
Comment 3 KSanger 2019-12-19 15:25:01 UTC
Created attachment 156676 [details]
picture of could not start printer error message

LibreOffice Version 6.3.4.2 gives me the same error message.

[kurt@wart readmes]$ libreoffice6.3 --version
LibreOffice 6.3.4.2 60da17e045e08f1793c57c00ba83cdfce946d0aa
Comment 4 KSanger 2019-12-19 15:47:44 UTC
Printing from Writer is what is failing.  Printing to pdf and printing the pdf file works.  At least on LibreOffice 2.8.2 as I did not attempt that on 3.6.4.
Comment 5 Dieter 2019-12-19 17:26:57 UTC Comment hidden (obsolete)
Comment 6 Xisco Faulí 2020-01-21 12:45:10 UTC Comment hidden (obsolete)
Comment 7 KSanger 2020-01-28 13:43:40 UTC
Printing from librecalc using Fedora Core 30 on my laptop and my Desktop Computer give me the same error message.
Comment 8 Buovjaga 2020-05-02 16:06:36 UTC
What is your printer model? Does it use a PPD file? If yes, please attach the file, which should be located at /etc/cups/ppd/<PRINTERNAME>.ppd
Comment 9 KSanger 2020-05-04 15:12:14 UTC
There are no ppd files in /etc/cups/ppd folder.  My printer is attached through to a raspberry pi running a cups print server.

Printer model is Brother HL-2270DW.  Driver is listed as HL-2170W.

On the Raspberry Pi Cups Print Server:   CUPS V1.5.3
The printer is listed as:
Description:	Brother HL-2270DW
Location:	kurts-pi
Driver:	Brother HL-2170W Foomatic/hpijs-pcl5e (recommended) (grayscale, 2-sided printing)
Connection:	usb://Brother/HL-2270DW%20series?serial=K1N822832
Defaults:	job-sheets=none, none media=na_letter_8.5x11in sides=one-sided


If I print to a pdf file.  Or save as a pdf file.  Then open the pdf and print, printing works.  If I print from any Libre Office applications printing hangs.   On multiple devices running Fedora.  

Changing status back to UNCONFIRMED as printing from Libre Office applications does not work for me.
Comment 10 Michael Weghorn 2020-09-21 05:58:36 UTC
Some questions:

1) How was the printer set up on the client? Did you set it up manually or was it auto-discovered and the queue auto-created, e.g. using cups-browsed?

2) What is the output of 'lpstat -v' on the client?

3) What CUPS version do you have (on client and server)?

4) Do you get any entries in CUPS log if you set log level to "Debug" in /etc/cups/cupsd.conf, then restart CUPS and try again? (CUPS log file is usually /var/log/cups/error.log, unless configured elsewhere or CUPS is configured to log to journal instead; you can check e.g. whether directive 'ErrorLog /var/log/cups/error_log' is present in /etc/cup/cups-files.conf.)
Comment 11 Michael Weghorn 2020-09-21 06:01:38 UTC
Also, can you try whether it works with a daily build of the current development version "master", available from [1]? You can install that one in parallel as described at [2].

[1] https://dev-builds.libreoffice.org/daily/
[2] https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 12 KSanger 2020-09-22 13:52:44 UTC
(In reply to Michael Weghorn from comment #10)
> Some questions:
> 
> 1) How was the printer set up on the client? Did you set it up manually or
> was it auto-discovered and the queue auto-created, e.g. using cups-browsed?
> 
> 2) What is the output of 'lpstat -v' on the client?
> 
> 3) What CUPS version do you have (on client and server)?
> 
> 4) Do you get any entries in CUPS log if you set log level to "Debug" in
> /etc/cups/cupsd.conf, then restart CUPS and try again? (CUPS log file is
> usually /var/log/cups/error.log, unless configured elsewhere or CUPS is
> configured to log to journal instead; you can check e.g. whether directive
> 'ErrorLog /var/log/cups/error_log' is present in /etc/cup/cups-files.conf.)

1)  Printers were setup a long time ago.   I believe we selected settings printers add printer and it was found automatically.

2)  lpstat-v returns "lpstat: No desitinations added".   (I'm currently on Fedora 32 with LibreOffice Writer 6.4.6.2

(In reply to Michael Weghorn from comment #10)
> Some questions:
> 
> 1) How was the printer set up on the client? Did you set it up manually or
> was it auto-discovered and the queue auto-created, e.g. using cups-browsed?
> 
> 2) What is the output of 'lpstat -v' on the client?
> 
> 3) What CUPS version do you have (on client and server)?
> 
> 4) Do you get any entries in CUPS log if you set log level to "Debug" in
> /etc/cups/cupsd.conf, then restart CUPS and try again? (CUPS log file is
> usually /var/log/cups/error.log, unless configured elsewhere or CUPS is
> configured to log to journal instead; you can check e.g. whether directive
> 'ErrorLog /var/log/cups/error_log' is present in /etc/cup/cups-files.conf.)

1)  I believe it was added using Settings / Printers / Add.   Then found...

2)  lpstat -v returns "lpstat: No destinations added."   Note printing from Fedora 32 with Libre Office Writer 6.4.6.2 still fails.  Printing to pdf file, then opeing file and printing from Document Viewer still works.

3)  Cups Client cups-client.x86_64                                1:2.3.3-13.fc32

Cups Server on Raspberry Pi Model 3B is 1.5.3

4) will try later...
Comment 13 KSanger 2020-09-22 13:56:31 UTC
Note there are many additional "cups" items listed using "sudo yum list | grep cups".

bluez-cups.x86_64                                                          5.54-1.fc32                                                    @fedora                   
cups.x86_64                                                                1:2.3.3-13.fc32                                                @updates                  
cups-client.x86_64                                                         1:2.3.3-13.fc32                                                @updates                  
cups-filesystem.noarch                                                     1:2.3.3-13.fc32                                                @updates                  
cups-filters.x86_64                                                        1.27.5-6.fc32                                                  @updates                  
cups-filters-libs.x86_64                                                   1.27.5-6.fc32                                                  @updates                  
cups-ipptool.x86_64                                                        1:2.3.3-13.fc32                                                @updates                  
cups-libs.x86_64                                                           1:2.3.3-13.fc32                                                @updates                  
cups-pk-helper.x86_64                                                      0.2.6-9.fc32                                                   @fedora                   
gutenprint-cups.x86_64                                                     5.3.3-2.fc32                                                   @fedora                   
python3-cups.x86_64                                                        2.0.1-1.fc32                                                   @updates                  
apcupsd.x86_64                                                             3.14.14-18.fc32                                                updates                   
apcupsd-cgi.x86_64                                                         3.14.14-18.fc32                                                updates                   
apcupsd-gui.x86_64                                                         3.14.14-18.fc32                                                updates                   
bluez-cups.x86_64                                                          5.55-1.fc32                                                    updates                   
cups-bjnp.x86_64                                                           2.0.3-1.fc32                                                   fedora                    
cups-devel.i686                                                            1:2.3.3-13.fc32                                                updates                   
cups-devel.x86_64                                                          1:2.3.3-13.fc32                                                updates                   
cups-filters.x86_64                                                        1.28.2-2.fc32                                                  updates                   
cups-filters-devel.i686                                                    1.28.2-2.fc32                                                  updates                   
cups-filters-devel.x86_64                                                  1.28.2-2.fc32                                                  updates                   
cups-filters-libs.i686                                                     1.28.2-2.fc32                                                  updates                   
cups-filters-libs.x86_64                                                   1.28.2-2.fc32                                                  updates                   
cups-libs.i686                                                             1:2.3.3-13.fc32                                                updates                   
cups-lpd.x86_64                                                            1:2.3.3-13.fc32                                                updates                   
cups-pdf.x86_64                                                            3.0.1-9.fc32                                                   fedora                    
cups-printerapp.x86_64                                                     1:2.3.3-13.fc32                                                updates                   
cups-x2go.noarch                                                           3.0.1.3-9.fc32                                                 fedora                    
dymo-cups-drivers.x86_64                                                   1.4.0.5-10.fc32                                                fedora                    
python-cups-doc.x86_64                                                     2.0.1-5.fc32                                                   updates                   
python3-cups.x86_64                                                        2.0.1-5.fc32                                                   updates
Comment 14 KSanger 2020-09-22 14:08:34 UTC
4)   Checking the journal without adding log level debug.

[kurt@wart cups]$ journalctl -u cups -e
Sep 22 02:03:56 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 03:02:06 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Sep 22 03:02:16 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 04:00:26 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Sep 22 04:00:36 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 04:58:46 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Sep 22 04:58:56 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 05:57:06 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Sep 22 05:57:16 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 06:55:26 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Sep 22 06:55:36 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 07:53:46 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Sep 22 07:53:56 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 08:52:06 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Sep 22 08:52:16 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 09:36:15 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 298 CUPS-Create-Local-Printer successful-ok
Sep 22 09:36:15 wart cupsd[985]: Brother_HL_2270DW_kurts_pi: PPD creation failed: Printer does not support required IPP attributes or document formats.
Sep 22 09:46:02 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 344 Create-Printer-Subscriptions successful-ok
Sep 22 09:46:14 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 6794959 CUPS-Get-PPDs -
Sep 22 09:50:26 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 182 Renew-Subscription successful-ok
Sep 22 09:50:36 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 09:54:23 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
Sep 22 10:02:43 wart cupsd[985]: REQUEST localhost - - "POST / HTTP/1.1" 200 183 Renew-Subscription successful-ok
lines 980-1002/1002 (END)
Comment 15 KSanger 2020-09-22 14:31:08 UTC
(In reply to Michael Weghorn from comment #11)
> Also, can you try whether it works with a daily build of the current
> development version "master", available from [1]? You can install that one
> in parallel as described at [2].
> 
> [1] https://dev-builds.libreoffice.org/daily/
> [2] https://wiki.documentfoundation.org/Installing_in_parallel/Linux
Comment 16 KSanger 2020-09-22 14:39:03 UTC Comment hidden (obsolete)
Comment 17 KSanger 2020-09-22 14:39:28 UTC Comment hidden (obsolete)
Comment 18 KSanger 2020-09-22 14:42:29 UTC
Changed LogLevel to debug.  Did sudo systemctl stop cups.service followed by sudo systemctl start cups.service which fails.

Now I can't print at all.

[kurt@wart cups]$ sudo service cups start
Redirecting to /bin/systemctl start cups.service
Job for cups.service failed because the control process exited with error code.
See "systemctl status cups.service" and "journalctl -xe" for details.
[kurt@wart cups]$ journalctl -xe
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A stop job for unit cups.service has finished.
-- 
-- The job identifier is 9089 and the job result is done.
Sep 22 10:38:10 wart audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=cups com>
Sep 22 10:38:10 wart audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=cups comm>
Sep 22 10:38:10 wart systemd[1]: cups.service: Start request repeated too quickly.
Sep 22 10:38:10 wart systemd[1]: cups.service: Failed with result 'exit-code'.
-- Subject: Unit failed
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- The unit cups.service has entered the 'failed' state with result 'exit-code'.
Sep 22 10:38:10 wart systemd[1]: Failed to start CUPS Scheduler.
-- Subject: A start job for unit cups.service has failed
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A start job for unit cups.service has finished with a failure.
-- 
-- The job identifier is 9089 and the job result is failed.


Settings / Printers says "Sorry! The system printing service doesn't seem to be available.
Comment 19 KSanger 2020-09-22 15:32:02 UTC
Had to change selinux after copying over the edited cupsd.conf file.   

Many messages in the journal.   

I believe this is one full request to print from LibreWrite.  I belive this is one full print cycle from LibreWrite using the command "journalctl -u cups -r".   
The error is at Sep 22 11:23:05 wart cupsd[3552]: Brother_HL_2270DW_kurts_pi: PPD creation failed: Printer does not support required IPP attributes >


Sep 22 11:23:08 wart cupsd[3552]: [Client 33] Flushing write buffer.
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] bytes=0, http_state=0, data_remaining=98
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] con->http=0x55c9546c22e0
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] Content-Length: 98
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] Returning IPP successful-ok for Get-Printer-Attributes (ipp://localhost/printers/Broth>
Sep 22 11:23:08 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] 2.0 Get-Printer-Attributes 98
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] No authentication data provided.
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] Read: status=200, state=6
Sep 22 11:23:08 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
Sep 22 11:23:08 wart cupsd[3552]: [Client 33] POST / HTTP/1.1
Sep 22 11:23:07 wart cupsd[3552]: cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] Waiting for request.
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] New state is HTTP_STATE_WAITING
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] Flushing write buffer.
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] bytes=0, http_state=0, data_remaining=98
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] con->http=0x55c9546c22e0
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] Content-Length: 98
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] Returning IPP successful-ok for Get-Printer-Attributes (ipp://localhost/printers/Broth>
Sep 22 11:23:07 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] 2.0 Get-Printer-Attributes 97
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] No authentication data provided.
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] Read: status=200, state=6
Sep 22 11:23:07 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
Sep 22 11:23:07 wart cupsd[3552]: [Client 33] POST / HTTP/1.1
Sep 22 11:23:06 wart cupsd[3552]: cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] Waiting for request.
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] New state is HTTP_STATE_WAITING
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] Flushing write buffer.
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] bytes=0, http_state=0, data_remaining=98
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] con->http=0x55c9546c22e0
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] Content-Length: 98
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] Returning IPP successful-ok for Get-Printer-Attributes (ipp://localhost/printers/Broth>
Sep 22 11:23:06 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] 2.0 Get-Printer-Attributes 96
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] No authentication data provided.
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] Read: status=200, state=6
Sep 22 11:23:06 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Dirty files"
Sep 22 11:23:06 wart cupsd[3552]: [Client 33] POST / HTTP/1.1

Sep 22 11:23:05 wart cupsd[3552]: Brother_HL_2270DW_kurts_pi: PPD creation failed: Printer does not support required IPP attributes >

Sep 22 11:23:05 wart cupsd[3552]: Brother_HL_2270DW_kurts_pi: Get-Printer-Attributes returned successful-ok (successful-ok)
Sep 22 11:23:05 wart cupsd[3552]: Brother_HL_2270DW_kurts_pi: Connected to kurts-pi.local:631, sending Get-Printer-Attributes reques>
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Dirty files", busy="Active clients and dirty files"
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] New state is HTTP_STATE_WAITING
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Flushing write buffer.
Sep 22 11:23:05 wart cupsd[3552]: REQUEST localhost - - "POST / HTTP/1.1" 200 298 CUPS-Create-Local-Printer successful-ok
Sep 22 11:23:05 wart cupsd[3552]: Brother_HL_2270DW_kurts_pi: Generating PPD file from "ipp://kurts-pi.local:631/printers/Brother_HL>
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] bytes=0, http_state=0, data_remaining=277
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] con->http=0x55c9546c22e0
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Content-Length: 277
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Returning IPP successful-ok for CUPS-Create-Local-Printer (ipp://localhost/) from loca>
Sep 22 11:23:05 wart cupsd[3552]: CUPS-Create-Local-Printer successful-ok: Local printer created.
Sep 22 11:23:05 wart cupsd[3552]: cupsdRegisterPrinter(p=0x55c95461b1d0(Brother_HL_2270DW_kurts_pi))
Sep 22 11:23:05 wart cupsd[3552]: load_ppd: Loading /etc/cups/ppd/Brother_HL_2270DW_kurts_pi.ppd...
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients and dirty files", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: cupsdMarkDirty(P----)
Sep 22 11:23:05 wart cupsd[3552]: CUPS-Create-Local-Printer ipp://localhost/
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] 2.0 CUPS-Create-Local-Printer 95
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=100, state=6
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] No authentication data provided.
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Read: status=200, state=6
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] POST / HTTP/1.1
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Accepted from localhost (Domain)
Sep 22 11:23:05 wart cupsd[3552]: [Client 33] Server address is "/run/cups/cups.sock".
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] New state is HTTP_STATE_WAITING
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Flushing write buffer.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] bytes=0, http_state=0, data_remaining=116
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] con->http=0x55c954633620
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Content-Length: 116
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Returning IPP client-error-not-found for CUPS-Get-Printers (no URI) from localhost.
Sep 22 11:23:05 wart cupsd[3552]: CUPS-Get-Printers client-error-not-found: No destinations added.
Sep 22 11:23:05 wart cupsd[3552]: CUPS-Get-Printers
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] 2.0 CUPS-Get-Printers 94
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] No authentication data provided.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Read: status=200, state=6
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] POST / HTTP/1.1
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] New state is HTTP_STATE_WAITING
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Flushing write buffer.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] bytes=0, http_state=0, data_remaining=113
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] con->http=0x55c954633620
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Content-Length: 113
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Returning IPP client-error-not-found for CUPS-Get-Default (no URI) from localhost.
Sep 22 11:23:05 wart cupsd[3552]: CUPS-Get-Default client-error-not-found: No default printer.
Sep 22 11:23:05 wart cupsd[3552]: CUPS-Get-Default
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] 2.0 CUPS-Get-Default 93
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] No authentication data provided.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Read: status=200, state=6
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] POST / HTTP/1.1
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] New state is HTTP_STATE_WAITING
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Flushing write buffer.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] bytes=0, http_state=0, data_remaining=130
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] con->http=0x55c954633620
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Content-Length: 130
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Returning IPP client-error-not-found for Get-Printer-Attributes (ipp://localhost:631/p>
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes client-error-not-found: The printer or class does not exist.
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost:631/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] 2.0 Get-Printer-Attributes 92
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] No authentication data provided.
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] Read: status=200, state=6
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: [Client 23] POST / HTTP/1.1
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Closing connection.
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] New state is HTTP_STATE_WAITING
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Flushing write buffer.
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] bytes=0, http_state=0, data_remaining=130
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] con->http=0x55c9546c22e0
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Content-Length: 130
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Returning IPP client-error-not-found for Get-Printer-Attributes (ipp://localhost/print>
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes client-error-not-found: The printer or class does not exist.
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] 2.0 Get-Printer-Attributes 91
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] No authentication data provided.
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Read: status=200, state=6
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] POST /printers/Brother_HL_2270DW_kurts_pi HTTP/1.1
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Accepted from localhost (Domain)
Sep 22 11:23:05 wart cupsd[3552]: [Client 32] Server address is "/run/cups/cups.sock".
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Closing connection.
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] New state is HTTP_STATE_WAITING
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Flushing write buffer.
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] bytes=0, http_state=0, data_remaining=130
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] con->http=0x55c9546c22e0
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Content-Length: 130
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Returning IPP client-error-not-found for Get-Printer-Attributes (ipp://localhost/print>
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes client-error-not-found: The printer or class does not exist.
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] 2.0 Get-Printer-Attributes 90
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] No authentication data provided.
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Read: status=200, state=6
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] POST /printers/Brother_HL_2270DW_kurts_pi HTTP/1.1
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Accepted from localhost (Domain)
Sep 22 11:23:05 wart cupsd[3552]: [Client 31] Server address is "/run/cups/cups.sock".
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Closing connection.
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] New state is HTTP_STATE_WAITING
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Flushing write buffer.
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] bytes=0, http_state=0, data_remaining=130
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] con->http=0x55c9546c22e0
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Content-Length: 130
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Returning IPP client-error-not-found for Get-Printer-Attributes (ipp://localhost/print>
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes client-error-not-found: The printer or class does not exist.
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] 2.0 Get-Printer-Attributes 89
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] No authentication data provided.
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Read: status=200, state=6
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] POST /printers/Brother_HL_2270DW_kurts_pi HTTP/1.1
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Accepted from localhost (Domain)
Sep 22 11:23:05 wart cupsd[3552]: [Client 30] Server address is "/run/cups/cups.sock".
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Closing connection.
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] New state is HTTP_STATE_WAITING
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Flushing write buffer.
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] bytes=0, http_state=0, data_remaining=130
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] con->http=0x55c9546c22e0
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Content-Length: 130
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Returning IPP client-error-not-found for Get-Printer-Attributes (ipp://localhost/print>
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes client-error-not-found: The printer or class does not exist.
Sep 22 11:23:05 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] 2.0 Get-Printer-Attributes 88
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] No authentication data provided.
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Read: status=200, state=6
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] POST /printers/Brother_HL_2270DW_kurts_pi HTTP/1.1
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Waiting for request.
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Accepted from localhost (Domain)
Sep 22 11:23:05 wart cupsd[3552]: [Client 29] Server address is "/run/cups/cups.sock".
Sep 22 11:23:05 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Closing connection.
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] New state is HTTP_STATE_WAITING
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Flushing write buffer.
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] bytes=0, http_state=0, data_remaining=116
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] con->http=0x55c9546c22e0
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Content-Length: 116
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Returning IPP client-error-not-found for CUPS-Get-Printers (no URI) from localhost.
Sep 22 11:22:41 wart cupsd[3552]: CUPS-Get-Printers client-error-not-found: No destinations added.
Sep 22 11:22:41 wart cupsd[3552]: CUPS-Get-Printers
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] 2.0 CUPS-Get-Printers 87
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] No authentication data provided.
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Read: status=200, state=6
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] POST / HTTP/1.1
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] New state is HTTP_STATE_WAITING
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Flushing write buffer.
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] bytes=0, http_state=0, data_remaining=113
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] con->http=0x55c9546c22e0
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Content-Length: 113
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Returning IPP client-error-not-found for CUPS-Get-Default (no URI) from localhost.
Sep 22 11:22:41 wart cupsd[3552]: CUPS-Get-Default client-error-not-found: No default printer.
Sep 22 11:22:41 wart cupsd[3552]: CUPS-Get-Default
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] 2.0 CUPS-Get-Default 86
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] No authentication data provided.
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Read: status=200, state=6
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] POST / HTTP/1.1
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Accepted from localhost (Domain)
Sep 22 11:22:41 wart cupsd[3552]: [Client 28] Server address is "/run/cups/cups.sock".
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Closing connection.
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] New state is HTTP_STATE_WAITING
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Flushing write buffer.
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] bytes=0, http_state=0, data_remaining=130
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] con->http=0x55c9546c22e0
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Content-Length: 130
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Returning IPP client-error-not-found for Get-Printer-Attributes (ipp://localhost/print>
Sep 22 11:22:41 wart cupsd[3552]: Get-Printer-Attributes client-error-not-found: The printer or class does not exist.
Sep 22 11:22:41 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] 2.0 Get-Printer-Attributes 85
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] No authentication data provided.
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Read: status=200, state=6
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] POST /printers/Brother_HL_2270DW_kurts_pi HTTP/1.1
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Accepted from localhost (Domain)
Sep 22 11:22:41 wart cupsd[3552]: [Client 27] Server address is "/run/cups/cups.sock".
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Closing connection.
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] New state is HTTP_STATE_WAITING
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Flushing write buffer.
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] bytes=0, http_state=0, data_remaining=130
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] con->http=0x55c9546c22e0
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Content-Length: 130
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Returning IPP client-error-not-found for Get-Printer-Attributes (ipp://localhost/print>
Sep 22 11:22:41 wart cupsd[3552]: Get-Printer-Attributes client-error-not-found: The printer or class does not exist.
Sep 22 11:22:41 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] 2.0 Get-Printer-Attributes 84
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] No authentication data provided.
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Read: status=200, state=6
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] POST /printers/Brother_HL_2270DW_kurts_pi HTTP/1.1
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Accepted from localhost (Domain)
Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Server address is "/run/cups/cups.sock".
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Closing connection.
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] New state is HTTP_STATE_WAITING
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Flushing write buffer.
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] bytes=0, http_state=0, data_remaining=130
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Writing IPP response, ipp_state=IPP_STATE_DATA, old wused=0, new wused=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] cupsdWriteClient error=0, used=0, state=HTTP_STATE_POST_SEND, data_encoding=HTTP_ENCOD>
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] con->http=0x55c9546c22e0
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] cupsdSendHeader: code=200, type="application/ipp", auth_type=0
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Content-Length: 130
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Returning IPP client-error-not-found for Get-Printer-Attributes (ipp://localhost/print>
Sep 22 11:22:41 wart cupsd[3552]: Get-Printer-Attributes client-error-not-found: The printer or class does not exist.
Sep 22 11:22:41 wart cupsd[3552]: Get-Printer-Attributes ipp://localhost/printers/Brother_HL_2270DW_kurts_pi
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] 2.0 Get-Printer-Attributes 83
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] No authentication data provided.
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Read: status=200, state=6
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Active clients"
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] POST /printers/Brother_HL_2270DW_kurts_pi HTTP/1.1
Sep 22 11:22:41 wart cupsd[3552]: Report: stringpool-total-bytes=41096
Sep 22 11:22:41 wart cupsd[3552]: Report: stringpool-alloc-bytes=6208
Sep 22 11:22:41 wart cupsd[3552]: Report: stringpool-string-count=2174
Sep 22 11:22:41 wart cupsd[3552]: Report: printers=0
Sep 22 11:22:41 wart cupsd[3552]: Report: jobs-active=0
Sep 22 11:22:41 wart cupsd[3552]: Report: jobs=0
Sep 22 11:22:41 wart cupsd[3552]: Report: clients=2
Sep 22 11:22:41 wart cupsd[3552]: cupsdAddCert: Adding certificate for PID 0
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Waiting for request.
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Accepted from localhost (Domain)
Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Server address is "/run/cups/cups.sock".
Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
Comment 20 Michael Weghorn 2020-09-23 06:39:42 UTC
From what you write, it looks like either CUPS or cups-browsed is creating a temporary queue on the fly and removes it at some point again, which is nice if it works...

This here from the log suggests that the problem *might* be that the queue is not present at the point where the attempt to print is made or there's an issue with the connection ("HTTP_STATE_WAITING Closing for error 32 (Broken pipe)"):

> Sep 22 11:22:41 wart cupsd[3552]: [Client 26] POST /printers/Brother_HL_2270DW_kurts_pi HTTP/1.1
> Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Waiting for request.
> Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Accepted from localhost (Domain)
> Sep 22 11:22:41 wart cupsd[3552]: [Client 26] Server address is "/run/cups/cups.sock".
> Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Active clients", busy="Not busy"
> Sep 22 11:22:41 wart cupsd[3552]: cupsdSetBusyState: newbusy="Not busy", busy="Not busy"
> Sep 22 11:22:41 wart cupsd[3552]: [Client 25] Closing connection.
> Sep 22 11:22:41 wart cupsd[3552]: [Client 25] HTTP_STATE_WAITING Closing for error 32 (Broken pipe)

I'm not sure however, where exactly the problem is.

To narrow down the issue: Can you set up a persistent queue for the printer and try whether this works?

From the given information, this command here might work to create a printer "myprinter":

    sudo lpadmin -p myprinter -v ipp://kurts-pi.local:631/printers/Brother_HL -m everywhere -E

Can you test this and check whether printing works on the printer "myprinter" created this way, from LibreOffice and other applications? If other applications work and LO does not, can you attach the CUPS log for a printout from another application (and mention which application it is) and another failed attempt from LO? (probably best to add the logs as attachments)

Does the above comand create a PPD file in /etc/cups/ppd/ ? (I think that used to be the case in the past, but that's basically a CUPS implementation detail and might have changed since then.)
Comment 21 Michael Weghorn 2020-09-23 06:41:55 UTC
(In reply to KSanger from comment #12)
> Cups Server on Raspberry Pi Model 3B is 1.5.3

Do you have the possibility of getting a newer CUPS version on your Raspberry Pi? CUPS 1.5.3 is rather old and may have bugs regarding automatic mapping from PPD file to IPP attributes, etc.
Comment 22 QA Administrators 2021-03-23 04:21:32 UTC Comment hidden (obsolete)
Comment 23 QA Administrators 2021-04-23 04:01:07 UTC
Dear KSanger,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp